Minor configure fix for MagickWand for PHP

MagickWand for PHP is an object-oriented PHP interface to ImageMagick. Use this forum to discuss, make suggestions about, or report bugs concerning MagickWand for PHP.
Post Reply
mkoppanen
Posts: 309
Joined: 2007-06-09T07:06:32-07:00

Minor configure fix for MagickWand for PHP

Post by mkoppanen » 2008-05-07T09:27:58-07:00

The version check in the current checks if the version is at least 6.3.5 but the message indicates that it should be 6.3.8. Fixed the check and the message:

Code: Select all

--- config.m4.orig      2008-05-07 17:25:39.000000000 +0100
+++ config.m4   2008-05-07 17:26:11.000000000 +0100
@@ -30,8 +30,8 @@
                IMAGEMAGICK_VERSION_MASK=`echo ${IMAGEMAGICK_VERSION_ORIG} | awk 'BEGIN { FS = "."; } { printf "%d", ($1 * 1000 + $2) * 1000 + $3;}'`


-               AC_MSG_CHECKING(if ImageMagick version is at least 6.3.5)
-               if test "$IMAGEMAGICK_VERSION_MASK" -ge 6003005; then
+               AC_MSG_CHECKING(if ImageMagick version is at least 6.3.8)
+               if test "$IMAGEMAGICK_VERSION_MASK" -ge 6003008; then
                                AC_MSG_RESULT(found version $IMAGEMAGICK_VERSION_ORIG)
                else
                                AC_MSG_ERROR(no. You need at least ImageMagick version 6.3.8 to use MagickWand for PHP.)
Mikko Koppanen
My blog: http://valokuva.org

User avatar
magick
Site Admin
Posts: 10922
Joined: 2003-05-31T11:32:55-07:00

Re: Minor configure fix for MagickWand for PHP

Post by magick » 2008-05-07T11:22:42-07:00

We have your patch in MagckWand for PHP subversion. Thanks.

Post Reply